Unable to Run spket-1.6.23.jar

Get help with Spket 2D

Unable to Run spket-1.6.23.jar

Postby shri636 » Mon Sep 17, 2012 1:33 pm

Even i Downloaded twice , to make sure the file should not be a problem
root@hostname:/apps# java -jar spket-1.6.23.jar
java.lang.UnsatisfiedLinkError: no swt-gtk-3346 or swt-gtk in swt.library.path, java.library.path or the jar file
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:219)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:151)
at org.eclipse.swt.internal.C.<clinit>(C.java:21)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:128)
at com.spket.tiny.Installer.run(Unknown Source)
at com.spket.tiny.Installer.start(Unknown Source)
at com.spket.tiny.Installer.main(Unknown Source)
shri636
 
Posts: 1
Joined: Mon Sep 17, 2012 1:29 pm

Re: Unable to Run spket-1.6.23.jar

Postby eric_suen » Mon Sep 17, 2012 5:36 pm

What's your OS and Java's version(java -version)? the standalone version only support Linux GTK x86. to run the installer, you need Java 1.5 or above from Sun(Oracle), not the default one called gcj.
eric_suen
Site Admin
 
Posts: 678
Joined: Wed Sep 28, 2005 7:00 am


Return to General Discussion

Who is online

Users browsing this forum: No registered users and 1 guest

cron